Bug 1103342 - (CVE-2018-3064) VUL-0: CVE-2018-3064: mysql: InnoDB unspecified vulnerability (CPU Jul 2018)
(CVE-2018-3064)
VUL-0: CVE-2018-3064: mysql: InnoDB unspecified vulnerability (CPU Jul 2018)
Status: VERIFIED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/210980/
CVSSv2:NVD:CVE-2018-3064:5.5:(AV:N/AC...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-01 07:03 UTC by Johannes Segitz
Modified: 2019-08-05 19:16 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2018-08-01 07:03:06 UTC
rh#1602364

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent:
InnoDB). Supported versions that are affected are 5.6.40 and prior, 5.7.22 and
prior and 8.0.11 and prior. Easily exploitable vulnerability allows low
privileged attacker with network access via multiple protocols to compromise
MySQL Server. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash (complete
DOS) of MySQL Server as well as unauthorized update, insert or delete access to
some of MySQL Server accessible data. 

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1602364
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-3064
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html#CVE-2018-3064
Comment 2 Kristyna Streitova 2018-08-01 17:33:47 UTC
|     Codestream     | Request        |
|--------------------|----------------|
| SUSE:SLE-11-SP3    | not affected   |
| openSUSE:Leap:42.3 | #626778        |
| openSUSE:Factory   | not in Factory |


I'm reassigning this bug back to the security-team.
Comment 3 Andreas Stieger 2018-08-09 20:45:04 UTC
released for 42.3
Comment 4 Swamp Workflow Management 2018-08-10 01:14:56 UTC
openSUSE-SU-2018:2293-1: An update that fixes 8 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1087102,1088681,1101676,1101678,1101679,1101680,1103342,1103344
CVE References: CVE-2018-0739,CVE-2018-2767,CVE-2018-3058,CVE-2018-3062,CVE-2018-3064,CVE-2018-3066,CVE-2018-3070,CVE-2018-3081
Sources used:
openSUSE Leap 42.3 (src):    mysql-community-server-5.6.41-39.1
Comment 8 Swamp Workflow Management 2018-12-04 20:09:32 UTC
SUSE-SU-2018:3972-1: An update that solves 10 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1013882,1101676,1101677,1101678,1103342,1112368,1112397,1112417,1112421,1112432,1116686
CVE References: CVE-2016-9843,CVE-2018-3058,CVE-2018-3063,CVE-2018-3064,CVE-2018-3066,CVE-2018-3143,CVE-2018-3156,CVE-2018-3174,CVE-2018-3251,CVE-2018-3282
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    mariadb-10.0.37-20.49.2
Comment 10 Swamp Workflow Management 2018-12-21 02:11:17 UTC
SUSE-SU-2018:4211-1: An update that solves 10 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1013882,1101676,1101677,1101678,1103342,1112368,1112397,1112417,1112421,1112432,1116686,1118754
CVE References: CVE-2016-9843,CVE-2018-3058,CVE-2018-3063,CVE-2018-3064,CVE-2018-3066,CVE-2018-3143,CVE-2018-3156,CVE-2018-3174,CVE-2018-3251,CVE-2018-3282
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    mariadb-100-10.0.37-2.3.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    mariadb-100-10.0.37-2.3.1
SUSE Linux Enterprise Server 12-SP4 (src):    mariadb-100-10.0.37-2.3.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    mariadb-100-10.0.37-2.3.1
Comment 17 Swamp Workflow Management 2019-03-06 14:12:25 UTC
SUSE-SU-2019:0555-1: An update that solves 19 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1013882,1101676,1101677,1101678,1103342,1111858,1111859,1112368,1112377,1112384,1112386,1112391,1112397,1112404,1112415,1112417,1112421,1112432,1112767,1116686,1118754,1120041,1122198,1122475,1127027
CVE References: CVE-2016-9843,CVE-2018-3058,CVE-2018-3060,CVE-2018-3063,CVE-2018-3064,CVE-2018-3066,CVE-2018-3143,CVE-2018-3156,CVE-2018-3162,CVE-2018-3173,CVE-2018-3174,CVE-2018-3185,CVE-2018-3200,CVE-2018-3251,CVE-2018-3277,CVE-2018-3282,CVE-2018-3284,CVE-2019-2510,CVE-2019-2537
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    mariadb-10.2.22-3.14.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    mariadb-10.2.22-3.14.1
Comment 18 Jenny Wei 2019-03-08 21:21:14 UTC
Verified in hlm202, MU 10364
Comment 19 Swamp Workflow Management 2019-03-13 23:10:54 UTC
openSUSE-SU-2019:0327-1: An update that solves 19 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1013882,1101676,1101677,1101678,1103342,1111858,1111859,1112368,1112377,1112384,1112386,1112391,1112397,1112404,1112415,1112417,1112421,1112432,1112767,1116686,1118754,1120041,1122198,1122475,1127027
CVE References: CVE-2016-9843,CVE-2018-3058,CVE-2018-3060,CVE-2018-3063,CVE-2018-3064,CVE-2018-3066,CVE-2018-3143,CVE-2018-3156,CVE-2018-3162,CVE-2018-3173,CVE-2018-3174,CVE-2018-3185,CVE-2018-3200,CVE-2018-3251,CVE-2018-3277,CVE-2018-3282,CVE-2018-3284,CVE-2019-2510,CVE-2019-2537
Sources used:
openSUSE Leap 15.0 (src):    mariadb-10.2.22-lp150.2.9.1
Comment 21 Swamp Workflow Management 2019-06-06 22:11:45 UTC
SUSE-SU-2019:1441-1: An update that solves 24 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1013882,1064113,1064114,1072167,1101676,1101677,1101678,1103342,1112368,1112377,1112384,1112386,1112391,1112397,1112404,1112415,1112417,1112421,1112432,1112767,1116686,1118754,1120041,1122198,1122475,1127027
CVE References: CVE-2016-9843,CVE-2017-10320,CVE-2017-10365,CVE-2017-15365,CVE-2018-2759,CVE-2018-2777,CVE-2018-2786,CVE-2018-2810,CVE-2018-3058,CVE-2018-3060,CVE-2018-3063,CVE-2018-3064,CVE-2018-3066,CVE-2018-3143,CVE-2018-3156,CVE-2018-3162,CVE-2018-3173,CVE-2018-3174,CVE-2018-3185,CVE-2018-3200,CVE-2018-3251,CVE-2018-3277,CVE-2018-3282,CVE-2018-3284
Sources used:
SUSE OpenStack Cloud 7 (src):    mariadb-10.2.22-10.1, mariadb-connector-c-3.0.7-1.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2019-08-05 19:16:57 UTC
SUSE-SU-2019:2048-1: An update that solves 12 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1013882,1101676,1101677,1101678,1103342,1112368,1112397,1112417,1112421,1112432,1116686,1118754,1132666,1136037
CVE References: CVE-2016-9843,CVE-2018-3058,CVE-2018-3063,CVE-2018-3064,CVE-2018-3066,CVE-2018-3143,CVE-2018-3156,CVE-2018-3174,CVE-2018-3251,CVE-2018-3282,CVE-2019-2529,CVE-2019-2537
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    mariadb-10.0.38-29.27.3
SUSE OpenStack Cloud 8 (src):    mariadb-10.0.38-29.27.3
SUSE OpenStack Cloud 7 (src):    mariadb-10.0.38-29.27.3
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    mariadb-10.0.38-29.27.3
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    mariadb-10.0.38-29.27.3
SUSE Linux Enterprise Server 12-SP2-BCL (src):    mariadb-10.0.38-29.27.3
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    mariadb-10.0.38-29.27.3
SUSE Enterprise Storage 4 (src):    mariadb-10.0.38-29.27.3
HPE Helion Openstack 8 (src):    mariadb-10.0.38-29.27.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.